﻿@using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());
    Layout = null;
}
<script>
    // handle context menu clicks.
    var documentName = ["id:id:string", "nom:Nom:string:20%", "adresse:Adresse:string:15%",  "livraison:Total Livraison:number:17%:sum", "reglement:Total  Règlement:number:17%:sum", "solde:Solde(Liquide):number:15%:sum", "part_marche:Part Marché(en %):number:13.3%:sum"];
</script>

<input id="LoardUrl" value="/Rapport/ajaxStat_Client_Fournisseur" type="hidden" />
<script src="~/Scripts/IndexJS.js"></script>
<div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Sélectionnez un seul enrégistrement !
        </div>
    </div>
</div>
<div id="confirm">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Voulez-vous confirmer cette action ?
        </div>
        <div class="boutons">
            <br />
            <button title="OK" type="button" id="ok" class="btn btn-default oufbutton"><i class="ouf-ok"></i>OK</button>
            <button title="Annuler" type="button" id="annuler" class="btn btn-default oufbutton"><i class="ouf-cancel"></i>Annuler</button>
        </div>
    </div>
</div>

<span style="font-weight: bold"></span>
<div class="boutons text-left">
    <table>
        <tr>
            <td>@HTML_OUF.DropDownList("Type", int.Parse(Session["ID_Element"].ToString()), TempData["Type"] as SelectList, "150") </td>
            <td>@Html.Partial("Filtre")</td>
            <td>
                <button title='Tableau' id='tableau' class='btn btn-default'><i class='ouf-ok'></i>Tableau</button>
            </td>
            <td>
                <button title='Graphe' id='graphe' class='btn btn-default'><i class='ouf-ok'></i>Graphe</button>
            </td>  
        </tr>
    </table>

</div>
<div id="grades"></div>
<div id='Menu'>
    <ul>
    </ul>
</div>

<script>
    var Graphe = function (urlRecherche) {
        var source =
            {
                datatype: "json",
                datafields: [
                    { name: 'nom' },
                    { name: 'part_marche' }
                ],
                url: '/Rapport/ajaxStat_Client_Fournisseur'
            };
        var dataAdapter = new $.jqx.dataAdapter(source, { async: false, autoBind: true, loadError: function (xhr, status, error) { alert('Error loading "' + source.url + '" : ' + error); } });
        // prepare jqxChart settings
        var settings = {
            title: "Part de marché",
            description: "(Part de marché en Pourcentage)",
            enableAnimations: true,
            showLegend: true,
            showBorderLine: true,
            legendLayout: { left: 900, top: 160, width: 300, height: 200, flow: 'vertical' },
            padding: { left: 5, top: 5, right: 5, bottom: 5 },
            titlePadding: { left: 0, top: 0, right: 0, bottom: 10 },
            source: dataAdapter,
            colorScheme: 'scheme03',
            seriesGroups:
            [
                {
                    type: 'pie',
                    showLabels: true,
                    series:
                    [
                        {
                            dataField: 'part_marche',
                            displayText: 'nom',
                            labelRadius: 170,
                            initialAngle: 15,
                            radius: 145,
                            centerOffset: 0,
                            formatFunction: function (value) {
                                if (isNaN(value))
                                    return value;
                                return parseFloat(value) + '%';
                            },
                        }
                    ]
                }
            ]
        };
        // setup the chart
        $('#chartContainer').jqxChart(settings);
    };
</script>

<div id='chartContainer' style="width:1150px; height:700px">  </div>

<script>

    $('#chartContainer').hide();
    $("#tableau").on('click', function (event) {
        $('#grades').show();
        $('#chartContainer').hide();
    });
    $("#graphe").on('click', function (event) {
        $('#grades').hide();
        $('#chartContainer').show();

        $("#loaderSpace,#loader").show();
        Graphe();
        $("#loaderSpace,#loader").hide();
    });

    $("#C_Type").off("change");
    $("#C_Type").on('change', function (event) {
        var urlRecherche = "/Base/ChangerElment/" + $("#Type").val();
        Rechercher(urlRecherche);

        Graphe();
        return false;
    });

    Rechercher = function (urlRecherche) {
        $("#loaderSpace,#loader").show();
        $.ajax({
            url: urlRecherche,
            type: 'GET',
            dataType: 'json'
        })
            .success(function (response) {
                var grids = $("#grades")
                grids.jqxGrid('updatebounddata', 'cells');
                grids.jqxGrid('clearselection');             
                $("#loaderSpace,#loader").hide();
            })
            .error(function () {
                alert('echeck');
                $("#loaderSpace,#loader").hide();
            });
    };
</script> 